SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Functions
CommandParserInterface.h File Reference

Contains CommandParserInterface , from which you derive custom command parsers. More...

`#include "memoryoverride.h"`
`#include "types.h"`
`#include "DS_OrderedList.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

struct | SLNet::RegisteredCommand
class | SLNet::CommandParserInterface
| The interface used by command parsers. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Functions

int RAK_DLL_EXPORT | SLNet::RegisteredCommandComp (const char *const &key, const RegisteredCommand &data)
| List of commands registered with RegisterCommand()

## Detailed Description

Contains CommandParserInterface , from which you derive custom command parsers.

Definition in file CommandParserInterface.h.

## Class Documentation

struct SLNet::RegisteredCommand

Definition at line 37 of file CommandParserInterface.h.

Class Members
const char * | command |
const char * | commandHelp |
unsigned char | parameterCount |